export default {
    methods: {
        removePersonalNote (item) {},
        editPersonalNote (item) {
            this.dialog=true;
            this.editPersonalNote=item;
        },
        updatePersonalNote (item) {
            this.personalNotes
        },
    },
    props: ["personalNotes"],
    name: "personal-notes",
    data: () => {
        return {
            dialog: false,
            // Absent versp. exc. type hw note
            editPersonalNoteId: null,
            headers: [
                {
                    text: window.django.gettext('Name'),
                    align: 'start',
                    value: 'student.full_name',
                },
                {
                    text: window.django.gettext('Absent'),
                    value: 'absent',
                },
                {
                    text: window.django.gettext('Tardiness'),
                    value: 'tardiness',
                },
                {
                    text: window.django.gettext('Excused'),
                    value: 'excused',
                },
                {
                    text: window.django.gettext('Excuse Type'),
                    value: 'excuse_type',
                },
                {
                    text: window.django.gettext('Extra Marks'),
                    value: 'extra_marks',
                },
                {
                    text: window.django.gettext('Remarks'),
                    value: 'remarks',
                },
            ],
        }
    },
    template: `
    <v-dialog
      v-model="dialog"
      max-width="600px"
    >
      <template v-slot:activator="{ on, attrs }">
        <div>
          <v-chip class="ma-1" v-for="personal_note in personalNotes" close @click="editPersonalNote(personal_note)" @click:close="removePersonalNote(personal_note)">{{personal_note.student.full_name}}: {{personal_note.tardiness}}</v-chip>
        </div>
        <v-btn
          class="ma-1"
          color="primary"
          icon
          outlined
          v-bind="attrs"
          v-on="on"
        >
          <v-icon>
            mdi-plus
          </v-icon>
        </v-btn>
      </template>
      <v-card>
        <v-card-title>
          <span class="text-h5">Personal Note</span>
        </v-card-title>
        <v-card-text>
          <v-container>
<!--            FIXME: Sync values with data-->
            <v-select item-text="student.full_name" item-value="id" :items="personalNotes" :value="editPersonalNote.id" @input="editPersonalNoteId = $event"></v-select>
            <v-text-field label="Tardiness" suffix="min" type="number" min="0"></v-text-field>
            <v-checkbox label="Absent"></v-checkbox>
            <v-checkbox label="Excused"></v-checkbox>
            <!--<v-data-table
              :headers="headers"
              :items="personalNotes"
              class="elevation-1"
              disable-filtering="true"
              disable-pagination="true"
              disable-items-per-page="true"
            >
              <template v-slot:item.student.full_name="props">
                <v-edit-dialog
                  :return-value.sync="props.item.student.full_name"
                  @save="save"
                  @cancel="cancel"
                  @open="open"
                  @close="close"
                >
                  {{ props.item.student.full_name }}
                  <template v-slot:input>
                    <v-text-field
                      v-model="props.item.student.full_name"
                      :rules="[max25chars]"
                      label="Edit"
                      single-line
                      counter
                    ></v-text-field>
                  </template>
                </v-edit-dialog>
              </template>
              <template v-slot:item.absent="{ item }">
                <v-simple-checkbox v-model="item.absent"  ></v-simple-checkbox>
              </template>
              <template v-slot:item.excused="{ item }">
                <v-simple-checkbox v-model="item.excused"  ></v-simple-checkbox>
              </template>
            </v-data-table>-->
          </v-container>
<!--          <small>*indicates required field</small>-->
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="blue darken-1"
            text
            @click="dialog = false"
          >
            Close
          </v-btn>
          <v-btn
            color="blue darken-1"
            text
            @click="dialog = false"
          >
            Save
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
    `
}